%bcond_without udev

%kmdl kqemu

Summary: QEMU Accelerator
Name: kqemu
Version: 1.3.0
Release: 2%{?dist}
License: GPL2
Group: System Environment/Base
URL: http://fabrice.bellard.free.fr/qemu/
Source0: http://fabrice.bellard.free.fr/qemu/%{name}-%{version}pre11.tar.gz
Patch0: kqemu-1.3.0pre11-configure.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
%kmdl_parentdependencies

%description
QEMU Accelerator (KQEMU) is a driver allowing the QEMU PC emulator to
run much faster when emulating a PC on an x86 host.

KQEMU is supported on x86 or x86_64 Linux 2.4 or 2.6 hosts.

%package -n %kmdl_name
%kmdl_dependencies
Summary: kernel modules for %{name}
Group: System Environment/Kernel
Requires: %{name} = %{evr}

%description -n %kmdl_name
kernel modules for %{name}. See description for %{name} for further
information.

%kmdl_desc

%prep
%setup -q -n %{name}-%{version}pre11
%patch0 -p0

%build
%kmdl_config
%if %{kmdl_userland}

%else

./configure --kernel-path=%{kmdl_kernelsrcdir}
make

%endif

%install
rm -rf %{buildroot}
%if %{kmdl_userland}

%if %{with udev}
mkdir -p %{buildroot}/etc/udev/rules.d
echo 'KERNEL=="kqemu", NAME="%k", MODE="0666"' \
     > %{buildroot}/etc/udev/rules.d/60-kqemu.rules
%endif

%else

mkdir -p %{buildroot}%{kmdl_moduledir}/kernel
if [ -f kqemu.ko ] ; then
   module=kqemu.ko
else
   module=kqemu.o
fi
install -p -m 744 $module %{buildroot}%{kmdl_moduledir}/kernel/

%endif

%clean
rm -rf %{buildroot}

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc COPYING LICENSE README Changelog tests
%if %{with udev}
/etc/udev/rules.d/60-kqemu.rules
%else
%attr(0666,root,root) %dev(c,250,0) /dev/kqemu
%endif

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%{kmdl_moduledir}

%endif

%changelog
* Wed Feb  7 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.3.0-1
- Initial build.

